## liblockfile 1.01

=== debian/changelog ===
liblockfile (1.01) unstable; urgency=low

  * Fix "clean" target in debian/rules
  * Fixes bugs:
    #39813: Liblockfile failes to build because of missing Makefile
    #39864: liblockfile_1.0(unstable): can't clean already empty tree

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 21 Jun 1999 19:47:17 +0200

liblockfile (1.0) unstable; urgency=low

  * Added autoconf to the distribution so that this package might
    be used outside Debian and even outside Linux.
  * New soname for liblockfile; API change.
  * Included command-line utility "dotlockfile" (setgid mail) and manpage
  * library can call "dotlockfile" to do the actual locking - mailprograms
    do not need to be setgid mail anymore!
  * Doesn't include libnfslock anymore
  * Fixes: #29572: liblockfile0 bad packaging

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat,  5 Jun 1999 17:19:30 +0200
