=== debian/control ===
Source: liblockfile
Section: devel
Priority: optional
Maintainer:  Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 2.4.0.0

Package: liblockfile1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Shared library with NFS-safe locking functions. Includes the
 command-line utility ``dotlockfile''.

Package: liblockfile-dev
Section: devel
Architecture: any
Depends: liblockfile1 (=${Source-Version})
Description: Development library for liblockfile.
  Includes headers and documentation.
