## liblockfile 1.06.1ubuntu1

=== debian/changelog ===
liblockfile (1.06.1ubuntu1) edgy; urgency=low

  * glibc 2.4 added an eaccess declaration to unistd.h; rename our eaccess
    function to eaccess_write (closes: Malone #65837).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Oct 2006 14:16:05 +0100
