## liblockfile 1.06.2

=== debian/changelog ===
liblockfile (1.06.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rename eaccess() to eaccess_write() as eaccess is now a glibc function.
    Patch by Colin Watson. Closes: #392779.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2007 19:28:33 +0200
