## liblockfile 1.08

=== debian/changelog ===
liblockfile (1.08-4) unstable; urgency=low

  * Merge 1.08-3ubuntu1
    Compute md5sums during build
    Closes: 563544, 564797
  * Debian source format is 3.0 (quilt)
    Add 04-505851-remove-debug-code.patch
  * Add important information to dotlockfile.1
    Add 06-493462-dotlockfile.1.patch
    Update usage message
    Add 07-493462-dotlockfile.c.patch
    Patches by Roland Eggner
    Closes: 493462
  * Make ar overwritable (for cross-builds)
    Add 09-562937-make-ar-overwrittable.patch
    Patch by Marc Kleine-Budde and Wolfram Sang
    Closes: 562937
  * Fix out-of-date-standards-version
    Add 02-COPYRIGHT.patch
  * Fix copyright-refers-to-symlink-license
  * Fix maintainer-script-without-set-e

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Feb 2010 08:57:06 +1100

liblockfile (1.08-3ubuntu1) lucid; urgency=low

  * Compute md5sums during build.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 12 Jan 2010 00:08:22 +0100

liblockfile (1.08-3) unstable; urgency=high

  * Don't stale lockfiles after 10 seconds instead of 5 minutes;
    patch by Wolfram Sang; closes: #505851
  * Handle nostrip build option; patch by Justin Pryzby; closes: #437374
  * debian/rules: Don't ignore error status of rm -fr; patch by Justin Pryzby
  * debian/rules: Remove stampfiles first; patch by Justin Pryzby

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 18 Nov 2008 00:00:38 +1100

liblockfile (1.08-2) unstable; urgency=low

  * Miquel van Smoorenburg is the maintainer; closes: #465090, #492412
  * Standards-Version is 3.8.0
  * liblockfile1 depends on ${misc:Depends}

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 26 Jul 2008 15:46:48 +1000

liblockfile (1.08-1) unstable; urgency=low

  * Upload with both miquels and anibal as maintainer, which I think
    is the correct solution as log as #465090 is still open.
  * next to debian/changelog there's also Changelog
  * new upstream version

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 24 Jul 2008 22:43:18 +0200

liblockfile (1.07-1) unstable; urgency=low

  * New maintainer. Closes: #465090 
  * ACKed NMUs. Closes: #392779, #322790
  * Fixed "liblockfile1: fails to call ldconfig". Closes: #376409
  * Fixed "liblockfile-dev: upgrade from sarge + purge leaves
    /usr/share/doc/liblockfile1/liblockfile-dev". Closes: #339498
  * Fixed "liblockfile1: option -u is duplicated". Closes: #416271
  * This package is non-native
  * Bumped Standards-Version to 3.7.3
  * liblockfile1: priority is standard
  * liblockfile-dev: section is libdevel
  * Fixed the following lintian message:
    - liblockfile source: substvar-source-version-is-deprecated liblockfile-dev
    - liblockfile-dev: dev-package-should-be-section-libdevel liblockfile-dev
    - liblockfile1: postinst-must-call-ldconfig usr/lib/liblockfile.so.1.0
    - liblockfile-dev: description-synopsis-might-not-be-phrased-properly
    - liblockfile1: debian-changelog-file-missing-or-wrong-name
    - liblockfile-dev: debian-changelog-file-missing-or-wrong-name

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 05 Apr 2008 12:14:10 +1000
