=== debian/control ===
Source: liblockfile
Section: devel
Priority: standard
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.8.4

Package: liblockfile1
Section: libs
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NFS-safe locking library, includes dotlockfile program
 Liblockfile is a shared library with NFS-safe locking functions. It
 includes the command-line utility ``dotlockfile''.

Package: liblockfile-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: liblockfile1 (=${binary:Version})
Description: Development library for liblockfile
 This is a development library for liblockfile. It includes headers and
 documentation.
