## liblockfile 1.09

=== debian/changelog ===
liblockfile (1.09-6ubuntu1) trusty; urgency=low

  * Explicitly set CC with DEB_HOST_GNU_TYPE if we're cross-compiling.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 06 Dec 2013 19:42:56 -0700

liblockfile (1.09-6) unstable; urgency=low

  * Merge 1.09-5ubuntu1
    fix-buffer-overflows.patch: Fix buffer overflows when building strings
    - Protect against overflows caused by long hostnames (LP: #941968)
    - Protect against overflows caused by large PID numbers (LP: #1011477)
    Closes: #677225
  * In Makefile.in it compiles nfslock.so.$(NVER) but installs nfslock.so.$(VER) 
    Add 688074-Makefile.in-NVER.patch
    Patch by Yao Zhao
    Closes: #688074
  * Standards Version is 3.9.4

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 02 Jun 2013 19:45:54 +1000

liblockfile (1.09-5ubuntu1) raring; urgency=low

  * debian/patches/fix-buffer-overflows.patch: Fix buffer overflows when
    building strings
    - Protect against overflows caused by long hostnames (LP: #941968)
    - Protect against overflows caused by large PID numbers (LP: #1011477)

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 09 Jan 2013 12:23:07 -0800

liblockfile (1.09-5) unstable; urgency=low

  [ Rob Browning ]
  * Don't remove /usr/share/doc/liblockfile1 from the postrm anymore.
    Doing so breaks multarch, and it appears that the code was originally
    inserted to fix an upgrade problem (#339498) from 2005.
    (closes: #695268)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 11 Dec 2012 20:24:45 +1100

liblockfile (1.09-4) unstable; urgency=low

  * Multiarch issues
    - Move liblockfile.a to /usr/lib/$(DEB_HOST_MULTIARCH)
    - Compress files with "gzip -n"
    Patch by Sven Joachim
    Closes: #637569
  * Enable hardened build flags
    Add Makefile.in.patch
  * Standards version is 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Jun 2012 21:28:38 +1000

liblockfile (1.09-3) unstable; urgency=high

  * add Replaces/Breaks liblockfile1 for liblockfile-bin (closes: #637555)
  * make liblockfile-bin Multiarch: foreign (closes: #637568)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 13 Aug 2011 00:18:46 +0200

liblockfile (1.09-2) unstable; urgency=high

  * fix debian/files botchup (fixes: #637465)
  * fix more lintian warnings and errors

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 12 Aug 2011 09:27:57 +0200

liblockfile (1.09-1) unstable; urgency=low

  * New upstream version (fixes: #406471, #547721, #273112)
  * Make package multi-arch compliant
  * Add lintian override for setgid mail helper
  * Delete whitespace adjusting macro stuff from dotlockfile.1
  * Remove shlib depends from dotlockfile control file entry

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 10 Aug 2011 18:44:10 +0200
