=== debian/control ===
Source: liblockfile
Section: devel
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.9.4
Build-depends: dpkg-dev (>= 1.16.1~)

Package: liblockfile1
Section: libs
Priority: standard
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}, liblockfile-bin (>=${binary:Version})
Description: NFS-safe locking library
 Liblockfile is a shared library with NFS-safe locking functions.

Package: liblockfile-bin
Section: utils
Priority: standard
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblockfile1 (<< 1.09-1)
Breaks: liblockfile1 (<< 1.09-1)
Description: support binaries for and cli utilities based on liblockfile
 This package contains support binaries for the liblockfile library,
 and the command-line utility ``dotlockfile''.

Package: liblockfile-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: liblockfile1 (=${binary:Version})
Description: Development library for liblockfile
 This is a development library for liblockfile. It includes headers and
 documentation.
