## liblockfile 1.09-6

=== debian/changelog ===
liblockfile (1.09-6-2) unstable; urgency=low

  * build for dilos

 -- Igor Kozhukhov <ikozhukhov@gmail.com>  Wed, 21 Sep 2016 22:20:41 +0300
