=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: liblockfile
 Section: devel
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
+Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Standards-Version: 3.9.4
 Build-depends: dpkg-dev (>= 1.16.1~)
@@ -12,7 +11,7 @@
 Priority: standard
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+#Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}, liblockfile-bin (>=${binary:Version})
 Description: NFS-safe locking library
  Liblockfile is a shared library with NFS-safe locking functions.
