=== debian/rules ===
--- 
+++ 
@@ -14,22 +14,15 @@
 do_md5sums = cd $(tmp) && find -type f \! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum >DEBIAN/md5sums
 
 INSTALL=install
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL+=-s
-endif
+#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
+#	INSTALL+=-s
+#endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-	export CC = $(DEB_HOST_GNU_TYPE)-gcc
-	INSTALL += --strip-program=$(DEB_HOST_GNU_TYPE)-strip
-endif
 
 build-arch:	config.status
 	$(checkdir)
-	make
+	$(MAKE)
 	touch build
 
 build-indep:
@@ -58,8 +51,8 @@
 	install -d -o root -m 755 $(tmp)/usr/lib/$(DEB_HOST_MULTIARCH)
 	install -d -o root -m 755 $(tmp)/usr/share/doc/liblockfile1
 	#
-	install -o root -m 755 debian/postinst $(tmp)/DEBIAN
-	install -o root -m 755 debian/postrm $(tmp)/DEBIAN
+#	install -o root -m 755 debian/postinst $(tmp)/DEBIAN
+#	install -o root -m 755 debian/postrm $(tmp)/DEBIAN
 	install -o root -m 644 debian/shlibs $(tmp)/DEBIAN
 	$(INSTALL) -o root -m 644 liblockfile.so \
 		$(tmp)/usr/lib/$(DEB_HOST_MULTIARCH)/liblockfile.so.$(SOVER)
@@ -137,6 +130,10 @@
 	gzip -9f $(tmp)/usr/share/doc/liblockfile-dev/*
 	install -o root -m 644 COPYRIGHT \
 		$(tmp)/usr/share/doc/liblockfile-dev/copyright
+
+	# we have this file from illumos system headers
+	rm -f $(tmp)/usr/include/maillock.h
+
 	$(do_md5sums)
 	dpkg-gencontrol -pliblockfile-dev -P$(tmp) -isp
 	dpkg --build $(tmp) ..
