## liblockfile 1.13

=== debian/changelog ===
liblockfile (1.13-1) unstable; urgency=low

  * new upstream version

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 05 Jan 2017 23:45:06 +0100

liblockfile (1.12-1) unstable; urgency=low

  * new upstream version (closes: #638800)
  * update upstream url in debian/control

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 05 Jan 2017 12:46:01 +0100

liblockfile (1.11-1) unstable; urgency=low

  * new upstream version
  * use geteuid() instead of getuid() to find out mailboxname
    (closes: #736666)
  * add dotlockfile <lockfile> cmd args... functionality
    (closes: #41791)

 -- Miquel van Smoorenburg <miquels@debian.org>  Tue, 03 Jan 2017 20:46:41 +0100

liblockfile (1.10-1) unstable; urgency=low

  * new upstream version
  * rewrite debian/rules to use debhelper
  * update debian/copyright file (closes: #748387)

 -- Miquel van Smoorenburg <miquels@debian.org>  Fri, 18 Nov 2016 17:02:00 +0100
