## liblockfile 1.14

=== debian/changelog ===
liblockfile (1.14-1) unstable; urgency=high

  * new upstream version

 -- Miquel van Smoorenburg <miquels@debian.org>  Tue, 17 Jan 2017 14:05:49 +0100
