=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Standards-Version: 3.9.4
-Build-depends: dpkg-dev (>= 1.16.1~)
+Build-depends: debhelper (>=9)
+Vcs-Git: https://github.com/miquels/liblockfile.git
+Vcs-Browser: https://github.com/miquels/liblockfile
 
 Package: liblockfile1
 Section: libs
 Priority: standard
 Architecture: any
 Multi-Arch: same
-#Pre-Depends: multiarch-support
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}, liblockfile-bin (>=${binary:Version})
 Description: NFS-safe locking library
  Liblockfile is a shared library with NFS-safe locking functions.
