## liblockfile 1.16

=== debian/changelog ===
liblockfile (1.16-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with source-only upload to allow testing migration.
  * debian/control:
    - Drop anibal from the uploader list. (Closes: #925036)
  * debian/source/options: Drop customized compression settings.
    (solves lintian warning:
    debian-source-options-has-custom-compression-settings)

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2019 13:55:06 -0400

liblockfile (1.16-1) unstable; urgency=low

  * new upstream version (closes: #933104)
  * never run tests during build (disable dh_auto_test)

 -- Miquel van Smoorenburg <miquels@debian.org>  Thu, 26 Sep 2019 14:32:11 +0200
