=== debian/control ===
Source: liblockfile
Section: devel
Priority: standard
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 3.9.4
Build-depends: debhelper (>=9)
Vcs-Git: https://github.com/miquels/liblockfile-debian
Vcs-Browser: https://github.com/miquels/liblockfile-debian
Homepage: https://github.com/miquels/liblockfile

Package: liblockfile1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, liblockfile-bin (>=${binary:Version})
Description: NFS-safe locking library
 Liblockfile is a shared library with NFS-safe locking functions.

Package: liblockfile-bin
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liblockfile1 (<< 1.09-1)
Breaks: liblockfile1 (<< 1.09-1)
Description: support binaries for and cli utilities based on liblockfile
 This package contains support binaries for the liblockfile library,
 and the command-line utility ``dotlockfile''.

Package: liblockfile-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends: liblockfile1 (=${binary:Version}), ${misc:Depends}
Description: Development library for liblockfile
 This is a development library for liblockfile. It includes headers and
 documentation.
