## liblockfile 1.17

=== debian/changelog ===
liblockfile (1.17-2build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 17:57:22 +0000

liblockfile (1.17-2) unstable; urgency=medium

  * Standards-Version: 4.7.0
  * Support rootless builds by default
    Patch by Niels Thykier <niels@thykier.net>
    Closes: #1089364

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 01 Jan 2025 09:02:10 +1100

liblockfile (1.17-1) unstable; urgency=low

  * new upstream version

 -- Miquel van Smoorenburg <miquels@debian.org>  Thu, 28 Jan 2021 15:58:33 +0100
