=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: devel
 Priority: standard
 Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
-Standards-Version: 3.9.4
+Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.7.0
 Build-depends: debhelper (>=9)
 Vcs-Git: https://github.com/miquels/liblockfile-debian
 Vcs-Browser: https://github.com/miquels/liblockfile-debian
