=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --with-mailgroup

override_dh_auto_test:
	true

override_dh_fixperms:
	dh_fixperms
	@if [ -f debian/liblockfile-bin/usr/bin/dotlockfile ]; then \
		chgrp mail debian/liblockfile-bin/usr/bin/dotlockfile; \
		chmod 2755 debian/liblockfile-bin/usr/bin/dotlockfile; \
	fi
